mixed-port: 7890
allow-lan: true
mode: rule
log-level: info

dns:
  enable: true
  ipv6: true
  nameserver:
    - 1.1.1.1
    - 1.0.0.1


proxies:

  - name: WARP
    type: wireguard

    server: 162.159.192.1
    port: 500

    ip: 172.16.0.2
    ipv6: 2606:4700:110:8096:fe2a:efa9:5882:e60d

    private-key: GLSAC/Ax+fnq6F/G1snfy9/FpEh116QPgd4EFIN+Jn0=

    public-key: bmXOC+F1FxEMF9dyiK2H5/1SUtzH0JuVo51h2wPfgyo=

    mtu: 1280

    udp: true


  - name: Hysteria2-WARP
    type: hysteria2

    server: www.kiselev.ru.net
    port: 2443

    password: cea6638f09a5d3a1

    sni: www.kiselev.ru.net

    obfs: salamander
    obfs-password: 46bee55efa53d9dd

    udp: true

    dialer-proxy: WARP



proxy-groups:

  - name: Proxy
    type: select
    proxies:
      - Hysteria2-WARP


rules:
  - MATCH,Proxy